#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER StrToken()
{
   LPSTR szText    = _parc( 1 );
   WORD wOcurrence = _parni( 2 );
   WORD wStart = 0, wEnd = 0, wCounter = 0;

   do {
      wStart = wEnd;

      while( szText[ wStart ] &&
           ( ( szText[ wStart ] < 'A' || szText[ wStart ] > 'z' ) &&
             ( szText[ wStart ] < '0' || szText[ wStart ] > '9' ) ) )
         wStart++;

      if( szText[ wStart ] )
      {
         wEnd = wStart + 1;

         while( szText[ wEnd ] &&
              ( ( szText[ wEnd ] >= 'A' && szText[ wEnd ] <= 'z' ) ||
                ( szText[ wEnd ] >= '0' && szText[ wEnd ] <= '9' ) ) )
            wEnd++;
      }
      else
         wEnd = wStart;

   } while( wCounter++ < wOcurrence - 1 && szText[ wEnd ] );

   _retclen( szText + wStart, wEnd - wStart );
}

//----------------------------------------------------------------------------//
